//+------------------------------------------------------------------+
//|                                                 BuyLimit.mq4     |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net/"
#property show_inputs

extern double Takeprofit=10;
extern double Pricegap=100; //Want to change this value automaticaly based on Pivot calculation. eg:Support1,S2 or S3
extern double Lot=1;

//+------------------------------------------------------------------+
//| script "send pending order with expiration data"                 |
//+------------------------------------------------------------------+
int start()
  {
   int    ticket,expiration;
   double point;
   
//----
   point=MarketInfo(Symbol(),MODE_POINT);
   expiration=CurTime()+PERIOD_D1*60; // Want to change this to next day 00:00:01
//----
   while(true)
     {
      ticket=OrderSend(Symbol(),OP_BUYLIMIT,Lot,Ask-Pricegap*point,0,0,Ask-(Pricegap-Takeprofit)*point,"Buy Limit at S1",16384,expiration,Green);
      if(ticket<=0) Print("Error = ",GetLastError());
      else { Print("ticket = ",ticket); break; }
      //---- 10 seconds wait
      Sleep(10);
     }
//----
   return(0);
  }
//+------------------------------------------------------------------+